> ## Documentation Index
> Fetch the complete documentation index at: https://www.fastforex.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Exchange Rates

> Fetch all available currency rates for the supplied source currency. Midpoint spot rates.



## OpenAPI

````yaml get /fetch-all
openapi: 3.0.3
info:
  title: fastFOREX.io
  version: 2.3.2
  description: Foreign & cryptocurrency exchange rate API
  termsOfService: https://www.fastforex.io/terms-of-sale
  contact:
    email: support@fastforex.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.fastforex.io
    description: Production
  - url: https://api.beta.fastforex.io
    description: Beta
security:
  - api_key: []
  - apiKeyHeader: []
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: currency
    description: Physical currencies, rates and conversions
  - name: crypto
    description: Digital currencies, pairs & prices
  - name: fx
    description: Realtime FX trading pairs - instruments, prices and history
  - name: admin
    description: Account admin
  - name: plan-one
    description: Available on The One Plan
  - name: plan-extra
    description: Available on The Extra Plan
  - name: plan-premium
    description: Available on The Premium Plan
externalDocs:
  description: Find out more about fastFOREX.io
  url: https://www.fastforex.io
paths:
  /fetch-all:
    get:
      tags:
        - currency
        - plan-one
        - plan-extra
        - plan-premium
      description: >-
        Fetch all available currency rates for the supplied source currency.
        Midpoint spot rates.
      parameters:
        - name: from
          in: query
          description: Base currency 3-letter symbol, defaults to USD
          required: false
          allowEmptyValue: true
          schema:
            $ref: '#/components/schemas/Currency'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  base:
                    $ref: '#/components/schemas/Currency'
                  updated:
                    $ref: '#/components/schemas/DateTimes'
                  ms:
                    $ref: '#/components/schemas/ResponseTime'
                  results:
                    type: object
                    minProperties: 130
                    additionalProperties:
                      type: number
                      format: float
              example:
                base: USD
                results:
                  AED: 3.673
                  AFN: 72.5642
                  ALL: 88.59
                  AMD: 391.07
                  ANG: 1.788
                  AOA: 912
                  ARS: 1074.69
                  AUD: 1.5892
                  AWG: 1.81
                  AZN: 1.7
                  BAM: 1.7217
                  BBD: 2
                  BDT: 121.81
                  BGN: 1.7219
                  BHD: 0.37708
                  BIF: 2923.15
                  BMD: 1
                  BND: 1.3194
                  BOB: 6.94
                  BRL: 5.8742
                  BRX: 5.8734
                  BSD: 1.003
                  BWP: 14.0056
                  BYN: 3.28
                  BZD: 2.0178
                  CAD: 1.38642
                  CDF: 2859.46
                  CHF: 0.81519
                  CLF: 0.02495
                  CLP: 971.76
                  CNH: 7.28156
                  CNY: 7.2916
                  COP: 4277.27
                  COU: 10.6753
                  CRC: 508.43
                  CUP: 24
                  CVE: 96.88
                  CZK: 22.1127
                  DJF: 177.405
                  DKK: 6.57264
                  DOP: 61.33
                  DZD: 131.969
                  EGP: 51.3229
                  ERN: 15.15
                  ETB: 130.47
                  EUR: 0.8799
                  FJD: 2.283
                  FKP: 0.7659
                  GBP: 0.76423
                  GEL: 2.7573
                  GHS: 15.4527
                  GIP: 0.7659
                  GMD: 72
                  GNF: 8664
                  GTQ: 7.709
                  GYD: 210.19
                  HKD: 7.7537
                  HNL: 25.7132
                  HTG: 132.88
                  HUF: 360.62
                  HUX: 370.54
                  IDR: 16794
                  ILS: 3.704
                  INR: 86.118
                  IQD: 1310
                  IRR: 42003
                  ISK: 127.9
                  JMD: 157.71
                  JOD: 0.709
                  JPY: 143.525
                  KES: 129.78
                  KGS: 87.45
                  KHR: 4000
                  KMF: 454.5
                  KPW: 900
                  KRW: 1421.365
                  KWD: 0.307
                  KYD: 0.82
                  KZT: 518.06
                  LAK: 21557
                  LBP: 89600
                  LKR: 298.1
                  LRD: 199.926
                  LSL: 19.37
                  LYD: 5.5571
                  MAD: 9.3176
                  MDL: 17.7
                  MGA: 4655
                  MKD: 54.257
                  MMK: 2098.68
                  MNT: 3537.2
                  MOP: 7.9863
                  MRU: 39.9
                  MUR: 43.7
                  MVR: 15.46
                  MWK: 1733.673
                  MXN: 20.321
                  MXV: 2.42005
                  MYR: 4.423
                  MZN: 63.56
                  NAD: 19.1599
                  NGN: 1597.115
                  NIO: 36.6243
                  NOK: 10.65512
                  NPR: 137.673
                  NZD: 1.7164
                  OMR: 0.3851
                  PAB: 1
                  PEN: 3.7286
                  PGK: 4.1144
                  PHP: 57.241
                  PKR: 280.34
                  PLN: 3.7742
                  PYG: 8027.64
                  QAR: 3.641
                  RON: 4.38927
                  RSD: 103.229
                  RUB: 83.3
                  RWF: 1410.28
                  SAR: 3.7542
                  SBD: 8.3542
                  SCR: 14.8351
                  SDG: 598.993
                  SEK: 9.77129
                  SGD: 1.31896
                  SHP: 0.7659
                  SLL: 22663.6
                  SOS: 566.75
                  SRD: 36.72
                  SSP: 4471.077
                  STN: 21.6
                  SVC: 8.75
                  SYP: 13002
                  SZL: 19.1043
                  THB: 33.515
                  TJS: 10.894
                  TMT: 3.5
                  TND: 2.9815
                  TOP: 2.401
                  TRY: 38.0582
                  TTD: 6.8191
                  TWD: 32.409
                  TZS: 2660
                  UAH: 41.5281
                  UGX: 3675.3
                  UYU: 42.984
                  UZS: 12980.33
                  VES: 77.0767
                  VND: 25720
                  VUV: 122.93
                  WST: 2.6969
                  XAF: 577.42
                  XCD: 2.7
                  XDR: 0.73954
                  XOF: 577.42
                  XPF: 104.95
                  YER: 245.27
                  ZAR: 19.1345
                  ZMW: 28.3
                updated: '2025-04-11T23:59:53Z'
                ms: 77
        '400':
          description: Bad Request
        '401':
          description: Not Authorized
        '403':
          description: Forbidden
        '429':
          description: Rate limit exceeded
components:
  schemas:
    Currency:
      type: string
      pattern: '[A-Z]{3}'
      description: Three-letter ISO 4217 currency code
    DateTimes:
      description: A datetime value. If no timezone offset supplied, UTC/GMT is assumed.
      oneOf:
        - $ref: '#/components/schemas/DateTime'
        - $ref: '#/components/schemas/IsoDateTimeZone'
        - $ref: '#/components/schemas/TimestampMillis'
    ResponseTime:
      type: number
      format: int32
      description: Server response time in milliseconds
    DateTime:
      type: string
      pattern: '[0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}'
      description: UTC/GMT datetime YYYY-MM-DD HH:MM:SS
    IsoDateTimeZone:
      type: string
      pattern: >-
        [0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}(Z?|[+-][0-9]{2}:00)
      description: ISO8601 Datetime with optional timezone offset YYYY-MM-DDTHH:MM:SS±HH:00
      example: '2021-01-26T15:30:00-05:00'
    TimestampMillis:
      type: number
      format: int64
      description: >-
        Milliseconds since Jan 1 1970 (unix timestamp with millisecond
        precision)
      example: 1739305030072
  securitySchemes:
    api_key:
      type: apiKey
      name: api_key
      in: query
    apiKeyHeader:
      type: apiKey
      name: X-API-KEY
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: api_key
    basicAuth:
      type: http
      scheme: basic

````